<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup :: U.S. Robotics Wireless MAXg Range Extender</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5441.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--

function isUS()
{
   /*
      Change to return false if non-US.
   */
   var ix = "<% nvram_get("wl_country_code"); %>";
     
	if(ix != "US") 
		return false;
	else 
	      return true;
}
var bSecure = true;

var sites = new Array(<% wl_scan(); %>);

var strSiteSelected = "";

function validatePage()
{
	/*
		Translate repeater values to what the backend needs.
	*/
	
	var chkInList = document.getElementById("chkInList"); 
	var security = document.getElementById("chkSecure");
	
	if (chkInList == null) {
		document.idForm.wl_wds0.value = document.idForm.txtMACaddressAP.value;
		if (!validateMAC(document.idForm.txtMACaddressAP.value))
			return false;
	}
	else if (chkInList.checked)
		document.idForm.wl_wds0.value = getSelectedSite();
	else {	
		document.idForm.wl_wds0.value = document.idForm.txtMACaddressAP.value;
		if (!validateMAC(document.idForm.txtMACaddressAP.value))
			return false;
	}
	
	if (security == null)
		;
	else if (security.checked)
	{
		var ixSecurity = document.idForm.cbSecurity.selectedIndex;
		if (isWPAselected(ixSecurity))
		{
			document.idForm.cbAuthEncrypt.value = "wpa";
			if (ixSecurity == 0)
				document.idForm.cbEncryption.value = "aes";
			else if (ixSecurity == 1)
				document.idForm.cbEncryption.value = "tkip";
		}
		else if (isWEPselected(ixSecurity))
		{
			if (ixSecurity == 2)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 3)
				document.idForm.cbAuthEncrypt.value = "shared";
		}
	}
	
	return true;
}

//-->
</script>
</head>

<body onload="initializeSurveyPage(strSiteSelected, '', 1, bSecure); onSecurityChange(false);">

<script type="text/javascript">
	writeHeaderSetup(1, 2);
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Extend Network</h1>
	<p>You can specify the wireless router or access point whose range you want
	to extend by selecting it in the list of detected networks or by entering
	its information manually.
	Only devices that support WDS are supported by the <i>MAX</i>g Range Extender.
	The list indicates the devices that are known to support WDS;
	a question mark (?) indicates that it&rsquo;s uncertain whether
	the device supports WDS.
	</p>

	<p>If your wireless network isn&rsquo;t in the list of detected wireless
	networks, it may be because the access point isn&rsquo;t broadcasting
	its network name.
	Clear the <b>My wireless network is broadcasting its network name</b>
	check box and enter the network name, MAC address, and channel.
	</p>

   <p>Please see your access point&rsquo;s documentation for how to determine
   its wireless MAC address.
   </p>

	<p>The network name is sometimes called the SSID.</p>

	<p>If your access point wasn&rsquo;t detected because it was turned off,
	you can turn it on and press the <b>Scan</b> button to try and detect it again.
   </p>

</div>

<form name="idForm" action="setup_login.asp" method="post">
<input type="hidden" name="page" value="setup_sec.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="cbAuthEncrypt" value="none">
<input type="hidden" name="cbEncryption" value="none">
<input type="hidden" name="wl_key" value="1">
<input type="hidden" name="wl_wds" value="1">
<input type="hidden" name="wl_wds0" value="">

<!-- This code is similar to the code on the wireless.asp page -->
<h3>Extend Network</h3>

<div id="idNoAPs" class="clsNotice">
	The U.S. Robotics Wireless <i>MAX</i>g Range Extender was unable to detect
	any wireless routers or access points.
	Please ensure that your wireless router or access point is connected
	properly and turned on and press the <b>Scan</b> button to try again.
	If your wireless network isn&rsquo;t broadcasting its network name
	clear the <b>My wireless network is broadcasting its network name</b>
	check box and enter the network name, MAC address, and channel.
</div>

<p id="idFoundAPs">Please select a wireless network (an access point or
wireless router that supports WDS) from the list of detected networks
or enter its information manually.</p>

<p><input type="checkbox" name="chkInList" id="chkInList" checked onclick="arrangeSiteSurvey(bSecure);"> <label for="chkInList">My wireless network is broadcasting its network name</label></p>

<p id="idSiteSurvey">Select a wireless network from the list of detected networks.</p>

<div id="idBroadcast">
<script type="text/javascript">
	buildSiteSurveyTable(sites, 1);
</script>
	<p><input type="button" name="action" value="Scan" class="clsSmall" onclick="document.location.href='setup_sec.asp';"></p>
</div>

<p id="idMan">Enter the network name, MAC address, and channel of the wireless network.</p>
<div id="idNotBroadcast">
	<table>
	<tr>
			<td><label for="wl_ssid">Network name:</label></td>
			<td><input type="text" size="35" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; bDirty = true;"></td>
		</tr>
		<tr>
			<td><label for="txtMACaddressAP">AP&rsquo;s MAC address:</label></td>
			<td><input type="text" size="19" maxlength="17" name="txtMACaddressAP" id="txtMACaddressAP" class="clsTextfield" value="<% nvram_list("wl_wds", 0); %>" onchange="validateMAC(document.idForm.txtMACaddressAP.value); normalizeMAC(document.idForm.txtMACaddressAP.value); bDirty = true;"><br/>
			 <span class="clsNote">(This is the wireless MAC address&mdash;sometimes called WLAN)</span></td>
		</tr>
		<tr>
			<td><label>Channel:</label></td>
			<td><select id="cbChannel" name="wl_channel" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_channel", "1", "selected"); %>>1</option>
				<option value="2" <% nvram_match("wl_channel", "2", "selected"); %>>2</option>
				<option value="3" <% nvram_match("wl_channel", "3", "selected"); %>>3</option>
				<option value="4" <% nvram_match("wl_channel", "4", "selected"); %>>4</option>
				<option value="5" <% nvram_match("wl_channel", "5", "selected"); %>>5</option>
				<option value="6" <% nvram_match("wl_channel", "6", "selected"); %>>6</option>
				<option value="7" <% nvram_match("wl_channel", "7", "selected"); %>>7</option>
				<option value="8" <% nvram_match("wl_channel", "8", "selected"); %>>8</option>
				<option value="9" <% nvram_match("wl_channel", "9", "selected"); %>>9</option>
				<option value="10" <% nvram_match("wl_channel", "10", "selected"); %>>10</option>
				<option value="11" <% nvram_match("wl_channel", "11", "selected"); %>>11</option>
			    </select>
			<script type="text/javascript">
   			/*  If this isn't US-based, allow channels 12 and 13.  */
   			if (!isUS())
   			{
      			document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("12", "12");
      			document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("13", "13");
      			document.idForm.cbChannel.selectedIndex = "<% nvram_get("wl_channel"); %>";
   			}
			</script>
			</td>
		</tr>
	</table>
</div>

<h3>Security</h3>

<div id="idInsecure">
	<p>The selected wireless network is insecure so you don&rsquo;t need to
	enter any security information.</p>
</div>
<div id="idSecure">
	<p>The selected wireless network is secure so you need to enter its
	security information in order to connect to it.</p>
</div>
<div id="idManual">
	<p>The range extender cannot detect whether this wireless network is secure, so you
	must enter any security information yourself in order to connect to it.</p>

	<p><input type="checkbox" name="chkSecure" id="chkSecure" checked onclick="bDirty = true; setVisibilityByCheckbox('chkSecure', 'idSecurity');"> <label for="chkSecure">I am connecting to a secure wireless network</label></p>
</div>
<div id="idSecurity">
<table border="0">
	<tr>
		<td><label for="cbSecurity">Method:</label></td>
		<td><select id="cbSecurity" name="cbSecurity" onchange="onSecurityChange(false); bDirty = true;">
    			<option value="wpa" <% nvram_match("cbEncryption", "aes", "selected"); %>>WPA PSK (AES)</option>
			<option value="wpa" <% nvram_match("cbEncryption", "tkip", "selected"); %>>WPA PSK (TKIP)</option>
			<option value="open" <% nvram_match("cbAuthEncrypt", "open", "selected"); %>>WEP open</option>
			<option value="shared" <% nvram_match("cbAuthEncrypt", "shared", "selected"); %>>WEP shared</option>
		    </select>
		</td>
	</tr>

	<!-- WEP -->
	<tr id="idKey1">
		<td><label for="wl_key1">Key:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" onchange="if (!isPrintable('Key 1', document.idForm.wl_key1.value)) return false; bDirty = true;">
	</tr>
	<!-- WPA -->
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass phrase:</label></td>
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false; bDirty = true;">
	</tr>
</table>
</div>

<p>When you&rsquo;re finished and ready to go to the next step, press <strong>Next</strong>.</p>
<p><input type="submit" name="action" value="Next -->" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false;
if (!isPrintable('Key', document.idForm.wl_key1.value)) return false; checksettings(); if (!validatePage()) return false;"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
